Bug 1674809 - digikam: FTBFS in Fedora rawhide/f30
Summary: digikam: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: digikam
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F30FTBFS F30BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2019-02-11 17:04 UTC by Fedora Release Engineering
Modified: 2019-03-12 20:00 UTC (History)
10 users (show)

Fixed In Version: digikam-6.0.0-5.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-12 20:00:45 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 17:04 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 17:04 UTC, Fedora Release Engineering
no flags Details
state.log (621 bytes, text/plain)
2019-02-11 17:04 UTC, Fedora Release Engineering
no flags Details


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 404853 None None None 2019-02-26 18:36:51 UTC

Description Fedora Release Engineering 2019-02-11 17:04:23 UTC
digikam failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32376440


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix digikam at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
digikam will be orphaned. Before branching of Fedora 31,
digikam will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 17:04:25 UTC
Created attachment 1529708 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 17:04:27 UTC
Created attachment 1529709 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 17:04:28 UTC
Created attachment 1529710 [details]
state.log

Comment 4 Rex Dieter 2019-02-11 18:03:00 UTC
This will be resolved once digikam 6 comes to rawhide.  Blocking issue is that digikam-6 sources no longer includes kipi-plugins, upstream ml discussion ongoing:
https://mail.kde.org/pipermail/digikam-devel/2019-February/101660.html

Comment 6 Rex Dieter 2019-02-26 18:36:52 UTC
Arg, now hit a ppc64le specific issue, filed bug upstream,

https://bugs.kde.org/show_bug.cgi?id=404853

Comment 7 Rex Dieter 2019-03-05 14:25:55 UTC
FTBFS is arch-limited, updating summary.

Going with ExcludeArch for now, until we have something better and/or feedback from upstream

Comment 8 Rex Dieter 2019-03-05 16:53:33 UTC
Resetting back to FTBFS on f30 to use for freeze exception

Comment 9 Fedora Update System 2019-03-05 16:54:07 UTC
digikam-6.0.0-5.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-99fba7aceb

Comment 10 Fedora Blocker Bugs Application 2019-03-05 16:55:24 UTC
Proposed as a Freeze Exception for 30-beta by Fedora user rdieter using the blocker tracking app because:

 fix FTBFS

Comment 11 Fedora Update System 2019-03-06 22:21:34 UTC
digikam-6.0.0-5.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-99fba7aceb

Comment 12 Fedora Update System 2019-03-06 22:53:45 UTC
digikam-6.0.0-5.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-99fba7aceb

Comment 13 Adam Williamson 2019-03-11 17:30:49 UTC
Well, this isn't really just an FTBFS fix - it's a new version. In stable right now is 5.9.0, so granted this an FE effectively is granting an FE to update the package to 6.0.0.

Is 5.9.0 badly broken or uninstallable?

Comment 14 Rex Dieter 2019-03-11 17:33:27 UTC
5.9.0 is uninstallable due to broken dependencies

Comment 15 Geoffrey Marr 2019-03-11 20:29:26 UTC
Discussed during the 2019-03-11 blocker review meeting: [1]

The decision to classify this bug as an "AcceptedFreezeException" was made on the grounds that since the existing package cannot be installed due to broken dependencies, we accept this as an FE (fixing broken dependencies in the stable package set is usually a good idea).

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2019-03-11/f30-blocker-review.2019-03-11-16.04.txt

Comment 16 Fedora Update System 2019-03-12 20:00:45 UTC
digikam-6.0.0-5.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.